import QtQuick 2.12

Item {
    visible: true
    width: 1920
    height: 720

    Rectangle {
        width: parent.width - 20
        height: parent.height - 20
        anchors.centerIn: parent
        color: "blue"
        opacity: 1.0 //Is drawn
    }

    Rectangle {
        width: parent.width/2
        height: parent.height/2
        anchors.centerIn: parent
        color: "red"
        opacity: 1.0 //Isn't drawn
        clip: true
        Rectangle {
            width: parent.width/2
            height: parent.height/2
            anchors.centerIn: parent
            color: "yellow"
            opacity: 0.999 //Is drawn OK

            Rectangle {
                width: parent.width/2
                height: parent.height/2
                anchors.centerIn: parent
                color: "green"
                opacity: 0.999 //Is drawn OK
            }
        }
    }
}
