QT += quick

CONFIG += c++11

HEADERS += \
        HmiPostProcessingManager.h \
        PostProcessor/HmiPostProcessor.h \
        PostProcessor/HmiRender.h \
        PostProcessor/matrix4.h

SOURCES += \
        main.cpp \
        PostProcessor/HmiPostProcessor.cpp \
        PostProcessor/HmiRender.cpp \
        HmiPostProcessingManager.cpp \
        PostProcessor/matrix4.cpp

genivi {
       message(++++Genivi build++++)
       #SOURCES += genivi/HmiPostProcessingManager.cpp

       INCLUDEPATH += $(GL_INC_DIR)
       DEFINES += GENIVI
       LIBS += -lGLESv2_adreno
} else {
       message(++++Desktop build++++)
       #SOURCES += desktop/HmiPostProcessingManager.cpp

       SOURCES += \
       PostProcessor\glad.c

       HEADERS += \
       PostProcessor\glad.h \
       PostProcessor\khrplatform.h

       unix {
            LIBS += -ldl
       }
}
RESOURCES += qml.qrc

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

# Additional import path used to resolve QML modules just for Qt Quick Designer
QML_DESIGNER_IMPORT_PATH =

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
